registerComponent("Five Star", "", "Five Star", "Five Star control", "five_star_init", "", "five_star_refresh", "number:value:0:0:5,imagepicker:StarOn:star_on.png,imagepicker:StarOff:star_off.png", "On Release", "", 11,49,88,53);

function five_star_init(width, height) {
	//create five stars
	var star1 = createComponent(self, 'image', 0, 0, 20, 100);
	var star2 = createComponent(self, 'image', 20, 0, 40, 100);
	var star3 = createComponent(self, 'image', 40, 0, 60, 100);
	var star4 = createComponent(self, 'image', 60, 0, 80, 100);
	var star5 = createComponent(self, 'image', 80, 0, 100, 100);
		
	//setup default value
	setData(self, "value",0)
	
	//assign star images
	five_star_draw()

	//Bind any events to the main component or subcomponents
	bindEvent(self, 'on_up', 'five_star_on_up');
}

function five_star_refresh(width, height) {
	five_star_draw()	
}

function five_star_on_up(x, y, tid){
	//work out how many stars to show
	var width = Number(getProperty(self,"width"))
	var value_real = ((x / width) * 5.0) + 1.0
	var value = Math.floor(value_real)
	if (value_real<1.4){ 
		//special case for zero is first 40% of first star!
		setData(self,"value",0)
	}else{
		setData(self,"value",value)
	}
	five_star_draw()
	
	//now raise the event
	raiseEvent(self, 'On Release','{"value":' + value + '}');
}

function five_star_draw(){
	var value = getData(self,"value")
	var star1 = getComponentChild(self, 0)
	var star2 = getComponentChild(self, 1)
	var star3 = getComponentChild(self, 2)
	var star4 = getComponentChild(self, 3)
	var star5 = getComponentChild(self, 4)

	var staron = getData(self,"StarOn")	
	var staroff = getData(self,"StarOff")
	
	//assign star images
	setProperty(star1,"filename",staroff)
	setProperty(star2,"filename",staroff)
	setProperty(star3,"filename",staroff)
	setProperty(star4,"filename",staroff)
	setProperty(star5,"filename",staroff)
	if (value>=1) setProperty(star1,"filename",staron)
	if (value>=2) setProperty(star2,"filename",staron)
	if (value>=3) setProperty(star3,"filename",staron)
	if (value>=4) setProperty(star4,"filename",staron)
	if (value>=5) setProperty(star5,"filename",staron)
}

